/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

#include "ExeAppendedZipResourceLoaderWindows.hpp"
#include <Windows.h>

namespace OpenVulkano
{
	namespace
	{
		void* HANDLE = ResourceLoader::RegisterResourceLoader(std::make_unique<ExeAppendedZipResourceLoaderWindows>());
	}

	std::string OpenVulkano::ExeAppendedZipResourceLoaderWindows::GetCurrentExecutablePath() const
	{ 
		std::string exe(MAX_PATH, '\0');
		DWORD len = GetModuleFileNameA(NULL, exe.data(), MAX_PATH);
		exe.resize(len);
		return exe;
	}

}